just got Premiere Elements 3.0 and have a question

Discussion and help related to Adobe video software goes here. e.x. Premiere, After Effects, Photoshop, etc.

just got Premiere Elements 3.0 and have a question

Postby Blackwood » Sat Jan 27, 2007 10:51 pm

Hi there!
Sorry if this is a boneheaded question, but I got a copy of premiere elements 3.0 for Xmas, and since I've been sick, I've only just tried to install it. I get the message that it won't install because I need a "cpu that supports the SSE2 instruction set". Now, I've done a web search, and it seems that I have an intel pentium 3 in my computer and the instruction set it wants is on a pentium 4. So, it won't install at all.

My question is this: Do I actually have to drag my computer in and have it upgraded to a 4, or is there something I can download to make the thing install?

Yes, I feel like an idiot. And, frankly, I don't really want to spend another $50 or $100 to have an upgrade, but if I have to I'll wait and save up the money to do it. I was just wondering if there was another way. Thanks!
User avatar
Blackwood
 
Joined: 18 Jun 2005
Location: Ontario, Canada (for now, want to move to England)

Postby Kariudo » Sat Jan 27, 2007 11:13 pm

you'll probably have to get a whole new computer. Instruction sets are programmed into the cpu (determines what commands the cpu can evaluate).

the socket types that intel p3's use is S1 and socket 370
the socket types that intel p4's use is 423, 478 and 775 (LGA socket T)
so you can't just upgrade your cpu

it'l probably cost you about $300-$700 to get a pre-built computer that can run elements 3.0
Image
Image
User avatar
Kariudo
Twilight prince
 
Joined: 15 Jul 2005
Location: Los taquitos unidos
Status: 1924 bots banned and counting!

Postby Keeper of Hellfire » Sun Jan 28, 2007 5:16 am

Your PC seems to be weak for editing at all. But if money is a real issue, you can sell your copy of APE 3.0 at ebay and get APE 2.0 instead.
User avatar
Keeper of Hellfire
 
Joined: 09 Jan 2005
Location: Germany

Postby Keeper of Hellfire » Sun Jan 28, 2007 5:44 am

Sorry, my fault. I did suggest APE 2.0 because it doesn't need SSE2. But the System requirements that I found say you need a P4. Maybe it will run at a PIII, but for sure you will not enjoy it. At least without a trial version I wouldn't gamble on the chance that it doesn't run.
User avatar
Keeper of Hellfire
 
Joined: 09 Jan 2005
Location: Germany

Postby Keeper of Hellfire » Sun Jan 28, 2007 5:54 am

Sorry for the triple post. Shouldn't post so hasty with a missing edit button. APE 2.0 needs SSE2 either, that's why it needs a P4. I thought that was introduced with APE 3.0. :roll: If you want to use APE on your PC, you have to get APE 1.0, which requires at least a PIII.
User avatar
Keeper of Hellfire
 
Joined: 09 Jan 2005
Location: Germany

Postby Willen » Sun Jan 28, 2007 10:17 am

You could return it and get Sony Vegas Movie Studio Platinum for about the same price or Magix Movie Edit Pro for less (and maybe use the savings for a RAM upgrade or a hard drive).
Having trouble playing back videos? I recommend: Image
User avatar
Willen
Now in Hi-Def!
 
Joined: 10 Jul 2005
Location: SOS-Dan HQ
Status: Melancholy

Postby Blackwood » Fri Feb 09, 2007 12:44 am

AWWW, geez!!!!!!!!!!!!!!
Looks like I'll be selling my copy of Adobe, then! I'm really not planning to buy a bew computer for a couple of years yet, as this one's only about 2 years old, which I know makes it positvely ANCIENT, but I'm still having heaps of fun with it!

Thanks for the help, guys! Sorry that my RL keeps me from checking the board and answering you as much as I'd like to!
User avatar
Blackwood
 
Joined: 18 Jun 2005
Location: Ontario, Canada (for now, want to move to England)


Return to Adobe Software

Who is online

Users browsing this forum: No registered users and 1 guest